# Savings Accounts

## Map a person's main account to a savings account

 - [POST /v1/persons/{person_id}/deposit_accounts/{account_id}/mappings](https://docs.solarisgroup.com/api-reference/digital-banking/account-management/savings-accounts/paths/~1v1~1persons~1%7Bperson_id%7D~1deposit_accounts~1%7Baccount_id%7D~1mappings/post.md): Maps a person's savings account to their main (checking) account and then
triggers the remaining steps for savings account onboarding. The person
may only transfer money to and from their savings account using the main
account mapped by this request.

## Retrieve an account mapping association.

 - [GET /v1/persons/{person_id}/deposit_accounts/{account_id}/mappings](https://docs.solarisgroup.com/api-reference/digital-banking/account-management/savings-accounts/paths/~1v1~1persons~1%7Bperson_id%7D~1deposit_accounts~1%7Baccount_id%7D~1mappings/get.md): Returns the details of a savings account mapping, including the associated main account IBAN and the currently assigned interest tier.

## Update a person's account mapping association.

 - [PATCH /v1/persons/{person_id}/deposit_accounts/{account_id}/mappings](https://docs.solarisgroup.com/api-reference/digital-banking/account-management/savings-accounts/paths/~1v1~1persons~1%7Bperson_id%7D~1deposit_accounts~1%7Baccount_id%7D~1mappings/patch.md): Modifies the existing mapping configuration for a person’s savings account. 
    This endpoint allows for the transition of the main account association 
    or the adjustment of interest rate tiers. 
    Note: Use this endpoint only for accounts that have already been 
    initially mapped via the POST method.

## Map a business' main account to a savings account

 - [POST /v1/businesses/{business_id}/deposit_accounts/{account_id}/mappings](https://docs.solarisgroup.com/api-reference/digital-banking/account-management/savings-accounts/paths/~1v1~1businesses~1%7Bbusiness_id%7D~1deposit_accounts~1%7Baccount_id%7D~1mappings/post.md): Maps a business' savings account to its main (checking) account and then
triggers the remaining steps for savings account onboarding. The business
may only transfer money to and from their savings account using the main
account mapped by this request.

## Create pay-in to a person's savings account

 - [POST /v1/persons/{person_id}/deposit_accounts/{account_id}/payin](https://docs.solarisgroup.com/api-reference/digital-banking/account-management/savings-accounts/paths/~1v1~1persons~1%7Bperson_id%7D~1deposit_accounts~1%7Baccount_id%7D~1payin/post.md): Transfers money from a person's main account to their savings account.

## Create pay-in to a business' savings account

 - [POST /v1/businesses/{business_id}/deposit_accounts/{account_id}/payin](https://docs.solarisgroup.com/api-reference/digital-banking/account-management/savings-accounts/paths/~1v1~1businesses~1%7Bbusiness_id%7D~1deposit_accounts~1%7Baccount_id%7D~1payin/post.md): Transfers money from a business' main account to its savings account.

## Create payout from a person's savings account

 - [POST /v1/persons/{person_id}/deposit_accounts/{account_id}/payout](https://docs.solarisgroup.com/api-reference/digital-banking/account-management/savings-accounts/paths/~1v1~1persons~1%7Bperson_id%7D~1deposit_accounts~1%7Baccount_id%7D~1payout/post.md): Transfers money from a person's savings account to their main account.

## Create payout from a business' savings account

 - [POST /v1/businesses/{business_id}/deposit_accounts/{account_id}/payout](https://docs.solarisgroup.com/api-reference/digital-banking/account-management/savings-accounts/paths/~1v1~1businesses~1%7Bbusiness_id%7D~1deposit_accounts~1%7Baccount_id%7D~1payout/post.md): Transfers money from a business' savings account to its main account.

## Create tax exemption order for a person

 - [POST /v1/persons/{person_id}/deposit_accounts/{account_id}/tax_exemptions](https://docs.solarisgroup.com/api-reference/digital-banking/account-management/savings-accounts/paths/~1v1~1persons~1%7Bperson_id%7D~1deposit_accounts~1%7Baccount_id%7D~1tax_exemptions/post.md): Creates a tax exemption order for a person's savings account, specified in
the request URL by its ID. Specify the amount to be exempted from tax in the
request body.

## Update a person's tax exemption order

 - [PATCH /v1/persons/{person_id}/deposit_accounts/{account_id}/tax_exemptions](https://docs.solarisgroup.com/api-reference/digital-banking/account-management/savings-accounts/paths/~1v1~1persons~1%7Bperson_id%7D~1deposit_accounts~1%7Baccount_id%7D~1tax_exemptions/patch.md): Modifies the time period and/or tax-exempt amount of a person's tax
exemption order.

## Retrieve a person's tax exemption order

 - [GET /v1/persons/{person_id}/deposit_accounts/{account_id}/tax_exemptions](https://docs.solarisgroup.com/api-reference/digital-banking/account-management/savings-accounts/paths/~1v1~1persons~1%7Bperson_id%7D~1deposit_accounts~1%7Baccount_id%7D~1tax_exemptions/get.md): Returns the tax exemption order for the person specified in the request URL.

## Remove a person's tax exemption order

 - [DELETE /v1/persons/{person_id}/deposit_accounts/{account_id}/tax_exemptions](https://docs.solarisgroup.com/api-reference/digital-banking/account-management/savings-accounts/paths/~1v1~1persons~1%7Bperson_id%7D~1deposit_accounts~1%7Baccount_id%7D~1tax_exemptions/delete.md): Deletes the tax exemption order for the person specified in the request
URL.  Note that you should only use this endpoint for erroneous or
wrongly submitted tax exemption orders that were not utilized.
Please use PATCH Close a person's tax exemption order to close
previously utilized tax exemption orders.

## Close a person's tax exemption order

 - [PATCH /v1/persons/{person_id}/deposit_accounts/{account_id}/tax_exemptions/close](https://docs.solarisgroup.com/api-reference/digital-banking/account-management/savings-accounts/paths/~1v1~1persons~1%7Bperson_id%7D~1deposit_accounts~1%7Baccount_id%7D~1tax_exemptions~1close/patch.md): Closes the tax exemption order for the person specified in the request URL.
 Note that you should only use this endpoint for previously utilized tax
exemption orders. To delete erroneous or wrongly submitted tax
exemption orders that were not utilized, please use DELETE Remove a
person's tax exemption order.

## Request the utilization details of a person's tax exemption order

 - [POST /v1/persons/{person_id}/deposit_accounts/{account_id}/tax_exemptions/utilization](https://docs.solarisgroup.com/api-reference/digital-banking/account-management/savings-accounts/paths/~1v1~1persons~1%7Bperson_id%7D~1deposit_accounts~1%7Baccount_id%7D~1tax_exemptions~1utilization/post.md): Submits a request to retrieve the tax exemption utilization details for the person and the savings account specified in the request URL. This endpoint will return a response body with only the ID of the request. The utilization details will be sent asynchronously via the 'TAX_EXEMPTION_UTILIZATION' webhook event after the request is successfully processed.

## Get interest details for a person's savings account

 - [GET /v1/persons/{person_id}/deposit_accounts/{account_id}/interest_details](https://docs.solarisgroup.com/api-reference/digital-banking/account-management/savings-accounts/paths/~1v1~1persons~1%7Bperson_id%7D~1deposit_accounts~1%7Baccount_id%7D~1interest_details/get.md): Returns the interest details for a person's savings account, specified in
the request URL by its ID. The response includes the interest rate, the
amount of interest accrued, and the date when the interest calculator was
last run for the account.

## Get interest details for a business savings account

 - [GET /v1/businesses/{business_id}/deposit_accounts/{account_id}/interest_details](https://docs.solarisgroup.com/api-reference/digital-banking/account-management/savings-accounts/paths/~1v1~1businesses~1%7Bbusiness_id%7D~1deposit_accounts~1%7Baccount_id%7D~1interest_details/get.md): Returns the interest details for a business' savings account, specified in
the request URL by its ID. The response includes the interest rate, the
amount of interest accrued, and the date when the interest calculator was
last run for the account.

